org.apache.flume.channel.file.encryption

## Class AESCTRNoPaddingProvider

- java.lang.Object
- - org.apache.flume.channel.file.encryption.CipherProvider
  - - org.apache.flume.channel.file.encryption.AESCTRNoPaddingProvider

-     public class AESCTRNoPaddingProvider
      extends CipherProvider

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AESCTRNoPaddingProvider.DecryptorBuilder`
    `static class` | `AESCTRNoPaddingProvider.EncryptorBuilder`

    - ### Nested classes/interfaces inherited from class org.apache.flume.channel.file.encryption.CipherProvider

      `CipherProvider.Decryptor, CipherProvider.Encryptor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AESCTRNoPaddingProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CipherProvider.Decryptor.Builder<org.apache.flume.channel.file.encryption.AESCTRNoPaddingProvider.AESCTRNoPaddingDecryptor>` | `newDecryptorBuilder()`
    `CipherProvider.Encryptor.Builder<org.apache.flume.channel.file.encryption.AESCTRNoPaddingProvider.AESCTRNoPaddingEncryptor>` | `newEncryptorBuilder()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AESCTRNoPaddingProvider

          public AESCTRNoPaddingProvider()

  - ### Method Detail

    - #### newEncryptorBuilder

          public CipherProvider.Encryptor.Builder<org.apache.flume.channel.file.encryption.AESCTRNoPaddingProvider.AESCTRNoPaddingEncryptor> newEncryptorBuilder()

      Specified by:
        `newEncryptorBuilder` in class `CipherProvider`

    - #### newDecryptorBuilder

          public CipherProvider.Decryptor.Builder<org.apache.flume.channel.file.encryption.AESCTRNoPaddingProvider.AESCTRNoPaddingDecryptor> newDecryptorBuilder()

      Specified by:
        `newDecryptorBuilder` in class `CipherProvider`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.